Bug 1484914 - python-watcher-tests-tempest: Tempest plugin for OpenStack Watcher Project
Summary: python-watcher-tests-tempest: Tempest plugin for OpenStack Watcher Project
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: RDO
Classification: Community
Component: Package Review
Version: trunk
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: trunk
Assignee: hguemar
QA Contact: hguemar
URL:
Whiteboard:
Depends On:
Blocks: RDO-PIKE
TreeView+ depends on / blocked
 
Reported: 2017-08-24 14:18 UTC by Chandan Kumar
Modified: 2017-12-12 13:56 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 13:56:02 UTC
karlthered: rdo-review+


Attachments (Terms of Use)

Description Chandan Kumar 2017-08-24 14:18:15 UTC
Package Name: python-watcher-tests-tempest
Summary:  Tempest plugin for OpenStack Watcher Project
Project Url: https://github.com/openstack/watcher-tempest-plugin.git


Packager Name: Chandan Kumar

Comment 1 Javier Peña 2017-08-24 14:29:11 UTC
Initial licensecheck output:

./.coveragerc: *No copyright* UNKNOWN
./.gitreview: *No copyright* UNKNOWN
./.mailmap: *No copyright* UNKNOWN
./.testr.conf: *No copyright* UNKNOWN
./CONTRIBUTING.rst: *No copyright* UNKNOWN
./HACKING.rst: *No copyright* UNKNOWN
./LICENSE: *No copyright* Apache (v2.0)
./README.rst: *No copyright* UNKNOWN
./babel.cfg: *No copyright* UNKNOWN
./requirements.txt: *No copyright* UNKNOWN
./setup.cfg: *No copyright* Apache
./setup.py: Apache (v2.0) GENERATED FILE
./test-requirements.txt: *No copyright* UNKNOWN
./tox.ini: *No copyright* UNKNOWN
./watcher_tempest_plugin/README.rst: *No copyright* CC by (v3.0)
./watcher_tempest_plugin/config.py: Apache (v2.0)
./watcher_tempest_plugin/infra_optim_clients.py: Apache (v2.0)
./watcher_tempest_plugin/plugin.py: *No copyright* Apache (v2.0)
./doc/source/conf.py: *No copyright* Apache (v2.0)
./doc/source/contributing.rst: *No copyright* UNKNOWN
./doc/source/index.rst: *No copyright* UNKNOWN
./doc/source/readme.rst: *No copyright* UNKNOWN
./releasenotes/source/conf.py: *No copyright* Apache (v2.0) GENERATED FILE
./releasenotes/source/index.rst: *No copyright* UNKNOWN
./releasenotes/source/unreleased.rst: *No copyright* UNKNOWN
./watcher_tempest_plugin/services/infra_optim/base.py: Apache (v2.0)
./watcher_tempest_plugin/tests/scenario/base.py: Apache (v2.0)
./watcher_tempest_plugin/tests/scenario/manager.py: Apache (v2.0)
./watcher_tempest_plugin/tests/scenario/test_execute_actuator.py: Apache (v2.0)
./watcher_tempest_plugin/tests/scenario/test_execute_basic_optim.py: Apache (v2.0)
./watcher_tempest_plugin/tests/scenario/test_execute_dummy_optim.py: Apache (v2.0)
./watcher_tempest_plugin/tests/scenario/test_execute_workload_balancing.py: Apache (v2.0)
./watcher_tempest_plugin/tests/api/admin/base.py: Apache (v2.0)
./watcher_tempest_plugin/tests/api/admin/test_action.py: Apache (v2.0)
./watcher_tempest_plugin/tests/api/admin/test_action_plan.py: Apache (v2.0)
./watcher_tempest_plugin/tests/api/admin/test_api_discovery.py: Apache (v2.0)
./watcher_tempest_plugin/tests/api/admin/test_audit.py: Apache (v2.0)
./watcher_tempest_plugin/tests/api/admin/test_audit_template.py: Apache (v2.0)
./watcher_tempest_plugin/tests/api/admin/test_goal.py: Apache (v2.0)
./watcher_tempest_plugin/tests/api/admin/test_scoring_engine.py: Apache (v2.0)
./watcher_tempest_plugin/tests/api/admin/test_service.py: Apache (v2.0)
./watcher_tempest_plugin/tests/api/admin/test_strategy.py: Apache (v2.0)
./watcher_tempest_plugin/services/infra_optim/v1/json/client.py: Apache (v2.0)

The project is licensed using the Apache 2.0 license. There is a potential issue with file ./watcher_tempest_plugin/README.rst, which is licensed with the "CC by 3.0" license. We can either remove it from the package, or follow the steps from https://fedoraproject.org/wiki/Packaging:LicensingGuidelines#Multiple_Licensing_Scenarios

Comment 2 Haïkel Guémar 2017-08-29 07:34:49 UTC
Approved

Package was reviewed here: https://review.rdoproject.org/r/#/c/9013/



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- If (and only if) the source package includes the text of the license(s)
  in its own file, then that file, containing the text of the license(s)
  for the package is included in %license.
  Note: License file license.png is not marked as %license
  See:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text


===== MUST items =====

Generic:
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
     Note: Using prebuilt packages
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)", "*No copyright* Apache", "*No copyright* CC by
     (v3.0)", "Unknown or generated", "*No copyright* Apache (v2.0)". 17
     files have unknown license. Detailed output of licensecheck in
     /home/hguemar/dist-git-delorean/centos-
     master/data/repos/52/1c/521ce241b9e0f7bb30460f9c16d866648c9cd6bf_dev
     /review-python-watcher-tests-tempest/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
     Note: Using prebuilt rpms.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[ ]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[-]: Avoid bundling fonts in non-fonts packages.
     Note: Package contains font files
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in python2
     -watcher-tests-tempest , python-watcher-tests-tempest-doc
[x]: Package functions as described.
[x]: Latest version is packaged.
[-]: Package does not include license text files separate from upstream.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[-]: Spec use %global instead of %define unless justified.
     Note: %define requiring justification: %define upstream_version
     0.0.1.dev109
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: SourceX is a working URL.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python2-watcher-tests-tempest-0.0.1-0.20170828154340.521ce24.el7.centos.noarch.rpm
          python-watcher-tests-tempest-doc-0.0.1-0.20170828154340.521ce24.el7.centos.noarch.rpm
          python-watcher-tests-tempest-0.0.1-0.20170828154340.521ce24.el7.centos.src.rpm
python2-watcher-tests-tempest.noarch: E: description-line-too-long C Additionally it provides a plugin to automatically load these tests into Tempest.
python2-watcher-tests-tempest.noarch: E: no-changelogname-tag
python-watcher-tests-tempest-doc.noarch: W: summary-not-capitalized C python-watcher-tests-tempest documentation
python-watcher-tests-tempest-doc.noarch: E: no-changelogname-tag
python-watcher-tests-tempest-doc.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/python-watcher-tests-tempest-doc-0.0.1/html/objects.inv
python-watcher-tests-tempest-doc.noarch: W: file-not-utf8 /usr/share/doc/python-watcher-tests-tempest-doc-0.0.1/html/objects.inv
python-watcher-tests-tempest.src: E: description-line-too-long C Additionally it provides a plugin to automatically load these tests into Tempest.
python-watcher-tests-tempest.src: E: no-changelogname-tag
python-watcher-tests-tempest.src: W: invalid-url Source0: watcher-tempest-plugin-0.0.1.dev109-0.20170828154340.521ce24.tar.gz
3 packages and 0 specfiles checked; 5 errors, 4 warnings.




Rpmlint (installed packages)
----------------------------
python2-watcher-tests-tempest.noarch: E: description-line-too-long C Additionally it provides a plugin to automatically load these tests into Tempest.
python2-watcher-tests-tempest.noarch: E: no-changelogname-tag
python-watcher-tests-tempest-doc.noarch: W: summary-not-capitalized C python-watcher-tests-tempest documentation
python-watcher-tests-tempest-doc.noarch: E: no-changelogname-tag
2 packages and 0 specfiles checked; 3 errors, 1 warnings.



Requires
--------
python2-watcher-tests-tempest (rpmlib, GLIBC filtered):
    python(abi)
    python-oslo-log
    python-oslo-utils
    python-pbr
    python-six
    python-tempest

python-watcher-tests-tempest-doc (rpmlib, GLIBC filtered):



Provides
--------
python2-watcher-tests-tempest:
    python-watcher-tests-tempest
    python2-watcher-tests-tempest

python-watcher-tests-tempest-doc:
    python-watcher-tests-tempest-doc



Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -m rdo-ocata-el7 -n python-watcher-tests-tempest -p --define DISTTAG=el7
Buildroot used: cloud7-openstack-ocata-el7-build
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, EPEL5, BATCH, EPEL6

Comment 3 Javier Peña 2017-12-12 13:56:02 UTC
The package is already merged and available in the RDO Trunk repositories: https://trunk.rdoproject.org/centos7-master/9c/7f/9c7f0e450deb44f00d1cf01e989501a308446ddc_0b3860b2/rpmbuild.log

Distgit is available at https://github.com/rdo-packages/watcher-tempest-plugin-distgit


Note You need to log in before you can comment on or make changes to this bug.